unit LogFile;

{* Program : LogFile.Pas
   Purpose : TLogFile Component

   Author            Version       Last Changed
   ------            -------       ------------
   Song Weng Sam     1.00          Aug. 14, 96
 *}

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs;

type

  TLogFile = class(TComponent)
  private
    { Private declarations }
    FLogFile: String;
  protected
    { Protected declarations }
  public
    { Public declarations }
    constructor Create(AOwner: TComponent); override;
    procedure LogToFile(outstr: String);
  published
    { Published declarations }
    property LogFile: String read FLogFile write FLogFile;
  end;

procedure Register;

implementation

constructor TLogFile.Create(AOwner: TComponent);
begin
   inherited Create(AOwner);
   FLogFile := '';
end;

procedure TLogFile.LogToFile(outstr: String);
var
   LogFile: Text;
begin
   if FLogFile = '' then Exit;
   AssignFile(LogFile, FLogFile);
   if FileExists(FLogFile) then
      Append(LogFile)
   else
      Rewrite(LogFile);

   Writeln(LogFile, outstr);
   Flush(LogFile);
   CloseFile(LogFile);
end;

procedure Register;
begin
  RegisterComponents('SongWS', [TLogFile]);
end;

end.
